Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.

...

Plugin

1.0.0

2.0.0

2.1.0

2.2.0

2.4.03.0.0

Sonar

2.0.1+

2.4+

2.4+

2.4+

3.0+3.4+

Eclipse

3.5.x, 3.6.x

3.5.x, 3.6.x

3.5.x, 3.6.x

3.5.x, 3.6.x, 3.7.x

3.6.x, 3.7.x, 4.1.x3.7.x, 4.2.x

Mylyn (optional)

3.2.0+ and requires Sonar 2.8+

3.2.0+ and requires Sonar 2.9+

3.6.0+3.8.2+

Supported Languages

Java

Java

Java

Java

Java

Java
C/
C++ (SonarSource)
Python 

Installation

To install this plugin in the Eclipse IDE:

...